#include "partition.h"
#include<bits/stdc++.h>
#define endl '\n'
#define out(x) #x<<" = "<<x<<" "
using namespace std;

const int MAX = 2 * 1e6 + 10;
vector<int> solve(vector<int> A) {
    vector<int> ans, ans1, ans2;
    vector<pair<int, int>> b;
    long long sum = 0, anss = 0;
    for(int i = 0; i < A.size(); i++){
        sum += A[i];
        b.push_back({A[i], i});
    }
    sort(b.begin(), b.end());
    reverse(b.begin(), b.end());
    for(int i = 0; i < A.size(); i++){
        ans.push_back(b[i].second);
    }
    return ans;
}
